body > main {
    max-width: calc(1.5 * 100vh);
}

body > main {
    margin-left: 4em;
    margin-right: 4em;
}

body > main p {
    margin: 0.75em 0;
}

/* Header. */

body > main > header {
    /*min-height: 30dvh;*/
    padding: 0.25em 0.25em 0.25em 1rem;
    border-left: 8px solid #800080;
    margin-bottom: 2em;
}

body > main > header h1 {
    text-align: left;
    margin: 0;
    padding: 0;
    text-transform: uppercase;
}

/* Main. */

body > main > main > section.works {
    box-sizing: border-box;
    width: 100%;
    /*height: calc(100dvh - 2rem);*/
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    grid-auto-flow: row;
    /*place-items: stretch;*/
    /*max-width: calc(1.5 * 100dvh);*/
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
}



/* WORK - POSTER */

/* WORK - POSTER */

a.work {
    display: block;
    margin: 2em;
}

figure.work.poster {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #EABE6C;
    gap: 1.0em;
    border: 0.25em solid #240A34;
    /*padding: 1em;*/
    margin: 0 auto;
    max-width: 30vw;
    /*max-height: 60vh;*/
    width: 35vh;
    /*height: 50vh;*/
    border-radius: 1em;
    box-sizing: border-box;
    aspect-ratio: 5 / 7;
    box-shadow: 8px 8px 0px 0px #4A148C;
}

.story-card-shadow {
    box-shadow: 8px 8px 0px 0px #4A148C;
}
figure.work.poster:hover {
    transform: translate(2px, 2px);
    box-shadow: 6px 6px 0px 0px #4A148C;
}

/* Poster Image */

figure.work.poster .image {
    width: 100%;
    height: 40%;
    background-color: #000;
    border-top-left-radius: 0.25em;
    border-top-right-radius: 0.25em;
}

figure.work.poster .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: 1em;
    border-top-right-radius: 1em;
    border: 2px solid #000;
    border-bottom: 4px solid #000;
    box-sizing: border-box;
    flex-grow: 0;
}

/* Poster Non-Image Values */

figure.work.poster .title,
figure.work.poster .hook,
figure.work.poster .link {
    margin: 1em;
}

figure.work.poster .title, figure.work.poster .subtitle {
    flex-grow: 0;
}

figure.work.poster blockquote {
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0.5em;
    border-left: 4px solid #b60;
    padding-left: 1em;
}

figure.work.poster blockquote p:first-of-type {
    margin-top: 0;
}

figure.work.poster blockquote p:last-of-type {
    margin-bottom: 0;
}

figure.work.poster > * {
    /*margin: 1em;*/
}

figure.work.poster .title {
    display: flex;
    flex-direction: row;
    margin: 1em 1em 0.5em;
    align-items: center;
    gap: 1em;
}

figure.work.poster .title .name {
    font-size: 1.5em;
    font-weight: bold;
    font-family: "Satisfy", cursive;
    /*text-align: center;*/
    flex-grow: 1;
}

figure.work.poster .title .rating {
    flex-grow: 0;
    font-size: 0.625em;
    padding: 0.5em;
    background-color: #803100;
    color: white;
    vertical-align: center;
    word-break: keep-all;
    white-space: nowrap;
}

figure.work.poster .title .rating::after {
    content: "-RATED";
}

figure.work.poster .hook {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    gap: 0.5em;
    margin-top: 0;
    margin-bottom: 0;
}

figure.work.poster .hook p {
    padding: 0;
    margin: 0.4em 0;
}

figure.work.poster .subtitle {
    margin: 1em;
}

figure.work.poster .link {
    padding: 0.5em;
    background-color: #4A148C;
    color: #f5c573;

    display: flex;
    align-items: center;
    gap: 0.25em;
}

figure.work.poster .link .material-symbols-outlined {
    margin-top: 1px;
    font-size: 1em;
}

@media (aspect-ratio < 6 / 5) {
    body > main > main > section.works {
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
    }

    figure.work.poster {
        max-width: 40vw;
        width: 60vh;
    }
}

@media (aspect-ratio < 4 / 5) {
    body > main > main > section.works {
        grid-template-columns: repeat(1, 1fr);
        gap: 2rem;
    }

    figure.work.poster {
        max-width: 70vw;
        width: 60vh;
    }
}
